import java.awt.*;

public class Frosch implements Konstanten {
  // Verhalten des "Goldfroschs" (Jim Propps Maschine)

  private int[][] richtung;
  private int     posZeile, posSpalte;

  Graphics g;

  public Frosch (Graphics g0) {
    g = g0;
    richtung = new int[N][N];
    for (int z = 0; z < N; z++)
      for (int s = 0; s < N; s++)
        richtung[z][s] = -1;
    zumStart();
    } // Ende Konstruktor

  public void zumStart()
    {posZeile = N/2; posSpalte = N/2;}

  public int Richtung()
    {return richtung[posZeile][posSpalte];}

  public void geheVor() {
    // geht in der Richtung des Feldpfeils vor
    if (Richtung() == ost)
      {if (posSpalte < N - 1) posSpalte++;}
    else if (Richtung() == nord)
      {if (posZeile > 0) posZeile--;}
    else if (Richtung() == west)
      {if (posSpalte > 0) posSpalte--;}
    else if (Richtung() == sd)
      {if (posZeile < N - 1) posZeile++;}
    } // Ende geheVor

  public void dreheLinks()
    {richtung[posZeile][posSpalte] = (Richtung() + 1) % 4;}

  public void setzRichtung (int r) 
    {richtung[posZeile][posSpalte] = r;}

  public void setzPunkt() {
    g.setColor(farbkonstante[Richtung()]);
    g.fillRect(posSpalte * feldbreite,
               posZeile * feldbreite,
               feldbreite, feldbreite);
    } // Ende setzPunkt

  public void setzKreis() {
    g.setColor(farbkonstante[Richtung()]);
    g.fillOval(posSpalte * feldbreite,
               posZeile * feldbreite,
               feldbreite, feldbreite);
    } // Ende setzKreis

  } // Ende Frosch
